summaryrefslogtreecommitdiff
path: root/t/ax/test-init.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-07-25 18:14:23 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-07-26 14:11:33 +0200
commitecbceb3e4cb88019e490c4814ca7a7382e4e2299 (patch)
tree428f75bf2d28fe5bac8f1d06d46e2d596ed0824f /t/ax/test-init.sh
parent69f0f0a143dd9e8ddf45da1b0db2a99f305f2202 (diff)
downloadautomake-ecbceb3e4cb88019e490c4814ca7a7382e4e2299.tar.gz
test defs: move in 't/ax/test-defs.sh'
We can do so with minimal churn, now that the early setup of $PATH in both 'runtest' and AM_TESTS_ENVIRONMENT allow the '.' built-in to find to-be-sourced shell scripts in 't/ax' automatically, both in in-tree and VPATH builds. With this change, we take another step forward a more rational and "segregated" organization of our testsuite framework. * defs-static.in: Rename ... * t/ax/test-defs.in: ... like this, and adjust. * Makefile.am, syntax-checks.mk, t/README, gen-testsuite-part, t/tests-init.sh, t/ax/tap-setup.sh, t/tap-summary.sh, .gitignore, t/testsuite-summary-color.sh, t/testsuite-summary-count.sh, t/self-check-tap.sh, defs: Adjust. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/ax/test-init.sh')
-rw-r--r--t/ax/test-init.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/t/ax/test-init.sh b/t/ax/test-init.sh
index a1130e355..5376b4700 100644
--- a/t/ax/test-init.sh
+++ b/t/ax/test-init.sh
@@ -28,15 +28,15 @@ set -e
## --------------------- ##
# Ensure $am_top_srcdir is set correctly.
-test -f "$am_top_srcdir/defs-static.in" || {
- echo "$me: $am_top_srcdir/defs-static.in not found," \
+test -f "$am_top_srcdir/automake.in" || {
+ echo "$me: $am_top_srcdir/automake.in not found," \
"check \$am_top_srcdir" >&2
exit 99
}
# Ensure $am_top_builddir is set correctly.
-test -f "$am_top_builddir/defs-static" || {
- echo "$me: $am_top_builddir/defs-static not found," \
+test -f "$am_top_builddir/automake" || {
+ echo "$me: $am_top_builddir/automake not found," \
"check \$am_top_builddir" >&2
exit 99
}